#### D.13.6.37 homogeneitySpace

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  homogeneitySpace(I); I ideal or poly

Assume:
  I a reduced standard basis

Return:
  cone, the set of all weight vectors with respect to whom I is weighted homogeneous

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = cyclic(3);
    option(redSB);
    ideal stdI = std(I);
    cone C0I = homogeneitySpace(stdI);
    print(generatorsOfLinealitySpace(C0I));
    ring s = 0,(x,y,z,u),dp;
    ideal Ih = homog(cyclic(3),u);
    ideal stdI = std(Ih);
    cone C0Ih = homogeneitySpace(stdI);
    print(generatorsOfLinealitySpace(C0Ih));

User manual for Singular version 4.4.1, 2025, generated by texi2html.